Bug 655830 - tftp transferring small files and using -v returns strange values
Summary: tftp transferring small files and using -v returns strange values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tftp
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Jiri Skala
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 13:44 UTC by Aleš Mareček
Modified: 2014-11-09 22:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the small files were transferred and the "-v" option was enabled, the tftp client printed incorrect statistics about the transfer. This update fixes printing of the transfer statistics.
Clone Of:
Environment:
Last Closed: 2011-08-10 09:34:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
attached patch fixes incorrect handling with microseconds (674 bytes, patch)
2010-11-22 16:05 UTC, Jiri Skala
mhlavink: review+
Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1133 0 normal SHIPPED_LIVE tftp bug fix update 2011-08-10 09:34:51 UTC

Description Aleš Mareček 2010-11-22 13:44:44 UTC
Description of problem:
When I'm trying to receive small files from tftp server tftp gives me incorrect values about transfer.

Version-Release number of selected component (if applicable):
tftp-0.49-5.1.el6.i686
tftp-server-0.49-5.1.el6.i686

How reproducible:
Always

Steps to Reproduce:
1. Install tftp and tftp-server and change "disable" option to "no" in /etc/xinetd.d/tftp
2. Restart xinetd by "/etc/init.d/xinetd restart"
3. Create a new 10MB file by dd - "dd if=/dev/zero of=/var/lib/tftpboot/10MB bs=1024k count=10"
4. Receive this file and see logs: "tftp <your IP address> -v -c get 10MB"
  
Actual results:
Incorrect numbers like:
Received 10485760 bytes in 7.0 seconds [12069540 bit/s]
Received 10485760 bytes in -2.1 seconds [-39220546 bit/s]
...


Expected results:
Correct statistics

Additional info:
See my logs for more information:

[alich@angband tmp]$ time tftp 10.34.24.27 -v -c get 10MB
Connected to 10.34.24.27 (10.34.24.27), port 69
getting from 10.34.24.27:10MB to 10MB [netascii]
Received 10485760 bytes in -2.1 seconds [-40052942 bit/s]

real	0m0.703s
user	0m0.248s
sys	0m0.328s
[alich@angband tmp]$ time tftp 10.34.24.27 -v -c get 10MB
Connected to 10.34.24.27 (10.34.24.27), port 69
getting from 10.34.24.27:10MB to 10MB [netascii]
Received 10485760 bytes in 7.0 seconds [12069540 bit/s]

real	0m0.712s
user	0m0.257s
sys	0m0.306s
[alich@angband tmp]$ time tftp 10.34.24.27 -v -c get 10MB
Connected to 10.34.24.27 (10.34.24.27), port 69
getting from 10.34.24.27:10MB to 10MB [netascii]
Received 10485760 bytes in -2.1 seconds [-39220546 bit/s]

real	0m0.699s
user	0m0.266s
sys	0m0.293s

Comment 1 Jiri Skala 2010-11-22 16:05:11 UTC
Created attachment 462064 [details]
attached patch fixes incorrect handling with microseconds

Comment 2 Suzanne Yeghiayan 2011-02-15 21:45:28 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 7 Petr Kovar 2011-08-04 12:22:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When the small files were transferred and the "-v" option was enabled, the tftp client printed incorrect statistics about the transfer. This update fixes printing of the transfer statistics.

Comment 8 errata-xmlrpc 2011-08-10 09:34:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1133.html


Note You need to log in before you can comment on or make changes to this bug.